com.amazonaws.codegen.protocol

## Class AwsCborProtocolMetadataProvider

- java.lang.Object
- - com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider
  - - com.amazonaws.codegen.protocol.BaseJsonProtocolMetadataProvider
    - - com.amazonaws.codegen.protocol.AwsCborProtocolMetadataProvider

All Implemented Interfaces:
  ProtocolMetadataProvider

    public class AwsCborProtocolMetadataProvider
    extends BaseJsonProtocolMetadataProvider

### Constructor Summary

Constructors
Constructor and Description
`AwsCborProtocolMetadataProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isCborProtocol()` Default is false, subclasses can override to indicate they are CBOR protocols.

### Methods inherited from class com.amazonaws.codegen.protocol.BaseJsonProtocolMetadataProvider

`getExceptionUnmarshallerImpl, getUnmarshallerClassSuffix, getUnmarshallerContextClassName, isJsonProtocol`

### Methods inherited from class com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider

`getBaseExceptionFqcn, getContentType, getRequestBaseFqcn, isIonProtocol, isXmlProtocol`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AwsCborProtocolMetadataProvider

    public AwsCborProtocolMetadataProvider()

### Method Detail

#### isCborProtocol

    public boolean isCborProtocol()

Description copied from class: `BaseProtocolMetadataProvider`
Default is false, subclasses can override to indicate they are CBOR protocols.

Specified by:
  `isCborProtocol` in interface `ProtocolMetadataProvider`
Overrides:
  `isCborProtocol` in class `BaseProtocolMetadataProvider`
Returns:
  True if protocol uses CBOR as the wire format. False otherwise.